<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">
    <p:panel header="Ficha Matriz PH o Condominio" rendered="#{consultaFichaMatrizPredio.existenFichaMatrizPredio}">
        <fieldset><h:panelGrid columns="3" width="100%">
                <h:panelGroup>
                    <h:outputLabel value="Número predial:" for="numPredialIdE"
                                   styleClass="outputLabelStyle" />
                    <h:outputText id="numPredialIdE"
                                  value="#{consultaFichaMatrizPredio.predioForFichaMatriz.numeroPredial}"
                                  styleClass="outputTextStyle" />
                </h:panelGroup>

                <h:panelGroup>
                    <h:outputLabel value="Consecutivo catastral: "
                                   for="consecutivoCatastralIdE" styleClass="outputLabelStyle" />
                    <h:outputText id="consecutivoCatastralIdE"
                                  value="#{consultaFichaMatrizPredio.predioForFichaMatriz.consecutivoCatastral}"
                                  styleClass="outputTextStyle" />
                </h:panelGroup>
            </h:panelGrid></fieldset>
        <h:panelGrid columns="2" width="100%">
            <h:panelGrid columns="1">
                <h:outputLabel value="Nombre PH o Condominio "
                               for="nombrePHCondominioE" styleClass="outputLabelStyle" />
                <h:outputText id="nombrePHCondominioE" value="#{consultaFichaMatrizPredio.predioForFichaMatriz.nombre}"
                              styleClass="outputTextStyle" />
                <p:fieldset legend="Generalidades de la Propiedad Reglamentada" toggleable="true"
                            toggleSpeed="500">
                    <p:dataTable
                        value="REVISAR"
                        var="propiedad" id="propiedadReglamentadaE" paginator="true"
                        rows="10"
                        paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                        paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                        emptyMessage="No existen propiedades reglamentadas">
                        <p:column>
                            <f:facet name="header">
                                <h:outputLabel value="Torre" />
                            </f:facet>
                            <h:outputText value="PRUEBA" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputLabel value="Número Unidades Privadas" />
                            </f:facet>
                            <h:outputText value="Prueba" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputLabel value="Total Pisos Edificación" />
                            </f:facet>
                            <h:outputText value="Prueba" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputLabel value="Año Unidad Construida" />
                            </f:facet>
                            <h:outputText value="Prueba" />
                        </p:column>
                    </p:dataTable>
                </p:fieldset>
            </h:panelGrid>
            <h:panelGrid columns="1">
                <p:fieldset legend="Áreas Terrenos y Construcciones" toggleable="true"
                            toggleSpeed="500">
                    <h:panelGrid columns="3">
                        <h:outputText value="Área Total Terreno Privada:" />
                        <h:outputText value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalTerrenoPrivada}" styleClass="outputTextStyle" />
                        <h:outputText value="m2" />

                        <h:outputText value="Área Total Terreno Común:" />
                        <h:outputText value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalTerrenoComun}" styleClass="outputTextStyle" />
                        <h:outputText value="m2" />

                        <h:outputText value="Área Total Construida Privada:" />
                        <h:outputText value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalConstruidaPrivada}" styleClass="outputTextStyle" />
                        <h:outputText value="m2" />

                        <h:outputText value="Área Total Construida Común:" />
                        <h:outputText value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalConstruidaComun}" styleClass="outputTextStyle" />
                        <h:outputText value="m2" />
                    </h:panelGrid>
                </p:fieldset>
                <h:panelGrid columns="2">
                    <h:outputText value="Valor Total Avalúo Catastral:" />
                    <h:outputText value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.valorTotalAvaluoCatastral}" >
                        <f:convertNumber type="number"/>
                    </h:outputText>
                </h:panelGrid>
            </h:panelGrid>

        </h:panelGrid>

        <h:panelGrid columns="2">
            <p:dataTable
                value="#{consultaFichaMatrizPredio.numerosPredialesPredioRelacionados}"
                var="numeroPredial" id="relacionPrediosE" paginator="true"
                rows="10"
                paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                emptyMessage="No existen predios relacionados">
                <p:column>
                    <f:facet name="header">
                        <h:outputLabel value="Relación Predios" />
                    </f:facet>
                    <h:outputText value="#{numeroPredial}" />
                </p:column>
            </p:dataTable>
            <p:dataTable
                value="#{consultaFichaMatrizPredio.usosConstruccion}"
                var="uso" id="relacionUsosE" paginator="true"
                rows="10"
                paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                emptyMessage="No existen usos relacionados">
                <p:column>
                    <f:facet name="header">
                        <h:outputLabel value="Relación Usos" />
                    </f:facet>
                    <h:outputText value="#{uso.id} - #{uso.nombre}" />
                </p:column>
            </p:dataTable>
            <h:panelGrid columns="2">
                <h:outputText value="Total Predios PH o Condominio:" />
                <h:outputText value="#{consultaFichaMatrizPredio.totalNumerosPrediales}" styleClass="outputTextStyle" />
            </h:panelGrid>
            <h:panelGrid columns="2">
                <h:outputText value="Total Usos PH o Condominio:" />
                <h:outputText value="#{consultaFichaMatrizPredio.totalUsosConstruccion}" styleClass="outputTextStyle" />
            </h:panelGrid>
        </h:panelGrid>
    </p:panel>
    <p:panel rendered="#{!consultaFichaMatrizPredio.existenFichaMatrizPredio}">
        <h:outputText value="No existe una ficha matriz asociada a este predio"/>
    </p:panel>
</h:form>